language-python-0.5.4: Parsing and pretty printing of Python code.

Copyright | (c) 2009 Bernie Pope
License | BSD-style
Maintainer | bjpop@csse.unimelb.edu.au
Stability | experimental
Portability | ghc
Safe Haskell | None
Language | Haskell98

Language.Python.Version3

Contents

- The parser
- The lexer

Description

A convenient re-export of the parser and lexer for version 3.x of Python.

See:

- http://www.python.org/doc/3.1/reference/index.html for an overview of the language.
- http://www.python.org/doc/3.1/reference/grammar.html for the full grammar.
- http://www.python.org/doc/3.1/reference/toplevel_components.html for a description of the various Python top-levels, which correspond to the parsers provided here.

Synopsis

- module Language.Python.Version3.Parser
- module Language.Python.Version3.Lexer

# The parser

module Language.Python.Version3.Parser

# The lexer

module Language.Python.Version3.Lexer